import { select, json, geoPath, geoMercator } from 'd3';
import { feature } from 'topojson';

const svg = select('svg');
svg.attr("height", 800)

var path = geoPath();

const projection = geoMercator();
const pathGenerator = geoPath().projection(projection);

// https://cdn.freecodecamp.org/testable-projects-fcc/data/choropleth_map/counties.json
// https://cdn.jsdelivr.net/npm/world-atlas@2/countries-110m.json

json("https://cdn.freecodecamp.org/testable-projects-fcc/data/choropleth_map/counties.json")
	.then(function(data){
 		  //console.log(data.objects.counties)   
    svg.append("g")
      .attr("class", "counties")
    .selectAll("path")
    .data(feature(data, data.objects.counties).features)
    .enter().append("path")
      .attr("d", path);
  
  
	});
